Subject: Re: [RPSEC] Comments on draft-christian-bgpsecrec-01.txt (part one)

From: Russ White <[email-masked]>
Date: Thu, 2 Dec 2004 19:32:14 -0500 (Eastern Standard Time)

>> The security of BGP is critical to the continued health and well being
>> of large scale internetworks, both public and private. While securing
>> the information transmitted between two BGP speakers is a relatively
>> easy technical matter, securing BGP, as a routed system, is somewhat
>> more complex. This document describes a set of requirements for
>> securing BGP, including securing peering relationships between BGP
>> speakers, and authenticating routing information carried within BGP.
>
> I like everything except when you say "somewhat".  I will pull that out and
> keep the rest...   Okay?

Fine with me....

>>     into a BGP routing infrastructure to force a particular data path for
>>     traffic that can then be sniffed and used for further destructive
>>     behavior.
>>
>> This sentence is, overall, a bit long and unwieldy. Maybe adding a
>> couple of commas would make it better, but it might need to be split
>> into two sentences.
>
> Rephrased sentence: These attacks are often combined.

That's better. :-)

>> "Undetectable or difficult to recognize attacks against the BGP
>> protocol itself, attacks falling within the normal operating
>> parameters of the BGP protocol, are outside the scope of this
>> document."
>>
>> I'm not certain this revised sentence even says what the group is
>> trying to say (?).
>
> I am not sure I like that sentence very much period.  I don't think we
> should say that something is difficult so we won't do it.  I would rather
> say it as follows.  Does this sound better?
>
> Rephrased:  Attacks that do not involve direct manipulation of BGP, and 
> the information contained within it, are outside the scope of this 
> document.

That's much better....

:-)

Russ

__________________________________
[email-masked] CCIE <>< Grace Alone

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec